Listar transferências
curl --request GET \
--url https://api.oripaysolutions.com.br/v1/pix/transfers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.oripaysolutions.com.br/v1/pix/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.oripaysolutions.com.br/v1/pix/transfers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.oripaysolutions.com.br/v1/pix/transfers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"status": "pending",
"amount": 123,
"pix_key_masked": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"recipient": {
"name": "<string>",
"document": "***.456.789-**",
"bank": "Banco Exemplo S.A."
},
"end_to_end_id": "<string>",
"failure_reason": "<string>",
"metadata": {}
}
],
"next_cursor": "<string>"
}Transferências
Listar transferências
Scope: transfers:read.
GET
/
pix
/
transfers
Listar transferências
curl --request GET \
--url https://api.oripaysolutions.com.br/v1/pix/transfers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.oripaysolutions.com.br/v1/pix/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.oripaysolutions.com.br/v1/pix/transfers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.oripaysolutions.com.br/v1/pix/transfers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"status": "pending",
"amount": 123,
"pix_key_masked": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"recipient": {
"name": "<string>",
"document": "***.456.789-**",
"bank": "Banco Exemplo S.A."
},
"end_to_end_id": "<string>",
"failure_reason": "<string>",
"metadata": {}
}
],
"next_cursor": "<string>"
}Authorizations
Chave oripay_live_.... Só funciona dos IPs cadastrados para ela.
Query Parameters
Seu ID. Único por conta e tipo de recurso.
Pattern:
^[A-Za-z0-9_-]{1,64}$Example:
"pedido-8812"
Required range:
1 <= x <= 100Maximum string length:
200